#
# spec file for package bam
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           bam
Version:        0.5.0
Release:        3.12
Summary:        Lua-based build system
License:        Zlib
Group:          Development/Tools/Building
Url:            http://matricks.github.com/bam/
Source:         https://github.com/matricks/bam/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  gcc-c++
BuildRequires:  pandoc
BuildRequires:  pkgconfig
BuildRequires:  python
BuildRequires:  pkgconfig(lua)

%description
Bam is a build system focusing on arbitrary build scripts. Instead of
having a custom language, it uses Lua to describe the build steps.

%prep
%setup -q

%build
export CFLAGS="%{optflags}"
make -j1

%install
%make_install

mkdir -p %{buildroot}%{_mandir}/man1
pandoc docs/bam.1.txt -s -t man > %{buildroot}%{_mandir}/man1/bam.1

%check
make test

%files
%defattr(-,root,root)
%doc COPYING README.md
%{_bindir}/%{name}
%{_mandir}/man1/bam.1%{ext_man}

%changelog
* Sat Jul 30 2016 jengelh@inai.de
- Update description
* Sat Jul 30 2016 mpluskal@suse.com
- Use pretty name for archive
- Build with optflags
* Sat Jul 30 2016 mailaender@opensuse.org
- initial packaging of version 0.5.0
